# Enum Class TristateState

java.lang.Object
java.lang.Enum<TristateState>
org.apache.jmeter.gui.util.TristateState

All Implemented Interfaces:
  `Serializable, Comparable<TristateState>, Constable`

public enum TristateState extends Enum<TristateState>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DESELECTED`
`INDETERMINATE`
`SELECTED`

## Method Summary

Modifier and Type
Method
Description
`abstract TristateState`
`next()`
`static TristateState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TristateState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SELECTED

public static final TristateState SELECTED

### INDETERMINATE

public static final TristateState INDETERMINATE

### DESELECTED

public static final TristateState DESELECTED

## Method Details

### values

public static TristateState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TristateState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### next

public abstract TristateState next()